SELECT 
	SUM(CASE
		WHEN month(charge_dt) = 6 THEN 1
			ELSE 0
		END) AS [June]
	, SUM(CASE
		WHEN month(charge_dt) = 7 THEN 1
			ELSE 0
		END) AS [July]
	, SUM(CASE
		WHEN month(charge_dt) = 8 THEN 1
			ELSE 0
		END) AS [August]
	, SUM(CASE
		WHEN month(charge_dt) = 9 THEN 1
			ELSE 0
		END) AS [Sept] 
	, COUNT(*) AS [RowCount]
FROM credit.dbo.charge
go

EXEC sp_spaceused charge, true
go

SELECT 
	SUM(CASE
		WHEN month(charge_dt) = 6 THEN 1
			ELSE 0
		END) AS [June]
	, MIN(CASE
		WHEN month(charge_dt) = 6 THEN charge_no
			ELSE NULL
		END) AS [JuneMIN]
	, MAX(CASE
		WHEN month(charge_dt) = 6 THEN charge_no
			ELSE NULL
		END) AS [JuneMIN]
	, SUM(CASE
		WHEN month(charge_dt) = 7 THEN 1
			ELSE 0
		END) AS [July]
	, SUM(CASE
		WHEN month(charge_dt) = 8 THEN 1
			ELSE 0
		END) AS [August]
	, SUM(CASE
		WHEN month(charge_dt) = 9 THEN 1
			ELSE 0
		END) AS [Sept] 
	, COUNT(*) AS [RowCount]
FROM credit.dbo.charge
go

EXEC sp_spaceused charge, true